Package pygccxml :: Package parser :: Module config :: Class parser_configuration_t

# type parser_configuration_t

source code

    object --+
             |
            parser_configuration_t

Known Subclasses:
  - gccxml_configuration_t

    Configuration object to collect parameters for invoking C++ parser

    This class serves as a base class for the parameters that can be used
    to customize the call to C++ parser. This class also allows users to work with
    relative files paths. In this case files are searched in the following order:

    1. current directory

    2. working directory

    3. additional include paths specified by the user

Instance Methods

__init__(self, working_directory=`'``.``'`, include_paths=None, define_symbols=None, undefine_symbols=None, cflags=`'````'`, compiler=None) Constructor. | source code

clone(self) | source code

raise_on_wrong_settings(self) validates the configuration settings and raises RuntimeError on error | source code

Properties
| working_directory
| include_paths list of include paths to look for header files
| define_symbols list of "define" directives
| undefine_symbols list of "undefine" directives
| compiler compiler name to simulate
| cflags additional flags to pass to compiler

Method Details

### __init__(self, working_directory=`'``.``'`, include_paths=None, define_symbols=None, undefine_symbols=None, cflags=`'````'`, compiler=None)
(Constructor)

source code

Constructor.

Overrides: object.__init__

Property Details

### working_directory

Get Method:
  __get_working_directory(self)
Set Method:
  __set_working_directory(self, working_dir)

### include_paths

list of include paths to look for header files

### define_symbols

list of "define" directives

### undefine_symbols

list of "undefine" directives

### compiler

compiler name to simulate

### cflags

additional flags to pass to compiler

Get Method:
  __get_cflags(self)
Set Method:
  __set_cflags(self, val)